<template>
  <div class="chat-header">
    <slot />
  </div>
  <JDivider
    margin-top="0"
    :margin-bottom="marginBottomDivider"
    height="1px"
  />
</template>

<script setup lang="ts">
import { JDivider } from '@new-jira-clone/ui/src/components';

defineProps({
  marginBottomDivider: {
    type: String,
    default: '16px',
  },
});
</script>

<style scoped lang="scss">
.chat-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-shrink: 0;
  position: sticky;
  top: 0;
  padding: 0 16px;
  height: 67px;
  width: 100%;
  z-index: 1;
  background-color: var(--j-app-bg);
}
</style>
